Bug 30854 - Missing description for 'import_record_matches' in swagger.yaml
Summary: Missing description for 'import_record_matches' in swagger.yaml
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords: rel_22_05_candidate
Depends on: 22785
Blocks: 30855
  Show dependency treegraph
 
Reported: 2022-05-26 13:06 UTC by Tomás Cohen Arazi
Modified: 2022-06-08 09:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.01


Attachments
Bug 30854: Missing description for 'import_record_matches' in swagger.yaml (1.63 KB, patch)
2022-05-26 13:39 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30854: (QA follow-up) Spec fixes (1.89 KB, patch)
2022-05-26 13:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30854: Missing description for 'import_record_matches' in swagger.yaml (1.70 KB, patch)
2022-05-26 16:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30854: (QA follow-up) Spec fixes (1.95 KB, patch)
2022-05-26 16:38 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2022-05-26 13:06:39 UTC
If you look at https://api.koha-community.org/22.05.html you will notice on the left list that 'import_record_matches' doesn't display as the rest of the entries.
Comment 1 Tomás Cohen Arazi 2022-05-26 13:39:38 UTC
Created attachment 135382 [details] [review]
Bug 30854: Missing description for 'import_record_matches' in swagger.yaml

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2022-05-26 13:44:58 UTC
Created attachment 135383 [details] [review]
Bug 30854: (QA follow-up) Spec fixes

This patch fixes minor spec QA issues:

* Missing summary for routes
* Missing error_code description for 500

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Martin Renvoize 2022-05-26 16:37:59 UTC
Created attachment 135391 [details] [review]
Bug 30854: Missing description for 'import_record_matches' in swagger.yaml

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-05-26 16:38:02 UTC
Created attachment 135392 [details] [review]
Bug 30854: (QA follow-up) Spec fixes

This patch fixes minor spec QA issues:

* Missing summary for routes
* Missing error_code description for 500

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2022-05-26 16:38:27 UTC
Great, thanks Tomas.

PQA
Comment 6 Tomás Cohen Arazi 2022-06-01 16:41:57 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 7 Lucas Gass 2022-06-06 15:28:11 UTC
Pushed to 22.05.x for 22.05.01
Comment 8 Arthur Suzuki 2022-06-08 09:45:26 UTC
file import_record_matches doesn't exist on 21.11.x
Depends on enhancement brought by 22785, won't backport.